Endpoints
GET
List all bots/api/v1/botsGET
Get bot details/api/v1/bots/:botIdList Bots
Returns a paginated list of all bots in the Orchard.
Request
GET /api/v1/bots?limit=20&offset=0&status=active&growthStage=goldenQuery Parameters:
limit — Max results (default: 20, max: 100)
offset — Pagination offset (default: 0)
status — Filter by: active, paused
growthStage — Filter by: seedling, sapling, tree, golden
Response
{
"data": [
{
"id": "abc123",
"name": "Golden Tree Alpha",
"strategy": "Momentum",
"growthStage": "golden",
"isActive": true,
"isInHouse": true,
"performance": {
"totalPnlPercent": 34.2,
"winRate": 72,
"sharpeRatio": 2.14,
"maxDrawdown": -8.3,
"totalTrades": 1240
},
"funding": {
"totalFunded": 125000,
"poolLimit": 500000,
"copyFee": 10
},
"createdAt": "2025-12-01T00:00:00.000Z"
}
],
"pagination": { "total": 48, "limit": 20, "offset": 0 }
}Get Bot Details
Returns detailed information about a specific bot.
Request
GET /api/v1/bots/abc123Response
{
"data": {
"id": "abc123",
"name": "Golden Tree Alpha",
"strategy": "Momentum",
"growthStage": "golden",
"isActive": true,
"isInHouse": true,
"description": "Our flagship momentum trading strategy...",
"tradingPairs": ["ETH/USDT", "BTC/USDT"],
"riskLevel": "medium",
"performance": {
"totalPnlPercent": 34.2,
"winRate": 72,
"sharpeRatio": 2.14,
"maxDrawdown": -8.3,
"totalTrades": 1240
},
"parameters": {
"maxPositionSize": 5000,
"stopLoss": 3,
"takeProfit": 8
},
"funding": {
"totalFunded": 125000,
"poolLimit": 500000,
"copyFee": 10,
"funderCount": 42
},
"createdAt": "2025-12-01T00:00:00.000Z"
}
}